clang 10.0.0git

Public Member Functions | List of all members
clang::tooling::SourceChangeRefactoringRule Class Referenceabstract

A type of refactoring action rule that produces source replacements in the form of atomic changes. More...

`#include "clang/Tooling/Refactoring/RefactoringActionRules.h"`

Inheritance diagram for clang::tooling::SourceChangeRefactoringRule:
[legend]
Collaboration diagram for clang::tooling::SourceChangeRefactoringRule:
[legend]

## Public Member Functions
void | invoke (RefactoringResultConsumer &Consumer, RefactoringRuleContext &Context) final override
| Initiates and performs a specific refactoring action. More...
Public Member Functions inherited from clang::tooling::RefactoringActionRuleBase
virtual | ~RefactoringActionRuleBase ()

## Detailed Description

A type of refactoring action rule that produces source replacements in the form of atomic changes.

This action rule is typically used for local refactorings that replace source in a single AST unit.

Definition at line 52 of file RefactoringActionRules.h.

## Member Function Documentation

## ◆ invoke()

void clang::tooling::SourceChangeRefactoringRule::invoke | ( | RefactoringResultConsumer & | Consumer,
|  | RefactoringRuleContext & | Context
| ) |  |
| inline final override virtual

Initiates and performs a specific refactoring action.

The specific rule will invoke an appropriate `handle` method on a consumer to propagate the result of the refactoring action.

Implements clang::tooling::RefactoringActionRuleBase.

Definition at line 54 of file RefactoringActionRules.h.

The documentation for this class was generated from the following file:

- include/clang/Tooling/Refactoring/RefactoringActionRules.h